<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");

function xExportar($varForm) {
	$varEmp  = ($varForm["emp"]<>"Ninguno")?$varForm["emp"]:"NULL";
	$varAlm  = ($varForm["alm"]<>"Ninguno")?$varForm["alm"]:"NULL";
	$varPro  = ($varForm["pcod"]<>"")?"'".$varForm["pcod"]."'":"NULL";
	$varIni  = ($varForm["fini"]<>"")?"'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin  = ($varForm["ffin"]<>"")?"'".FechaMySql($varForm["ffin"])."'":"NULL";	
	$sql = "CALL spQuery_Movimientos($varEmp, $varAlm, $varPro, $varIni, $varFin);)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = $varForm["titu"];	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}
	
function xBuscar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsReporteMovimiento($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$variable2="ResaltarSeleccionado()";
	$respuestaXajax->script($variable2);
	return $respuestaXajax;
	}


$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'ComboListaAlmacen');
$xajax->register(XAJAX_FUNCTION, 'comboFamilia');
$xajax->register(XAJAX_FUNCTION, 'comboSubFamilia');

$xajax->register(XAJAX_FUNCTION, 'seleccionar_producto');
$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS() {
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
				xajax.$("emp").focus();
				return (false); 
				}
		else if (xajax.$("alm") && xajax.$("alm").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ALMACEN");  
				xajax.$("alm").focus();
				return (false); 
				}
		else if (xajax.$("pcod") && xajax.$("pcod").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PRODUCTO");  
				xajax.$("pcod").focus();
				return (false); 
				}
		else if (xajax.$("eini") && xajax.$("eini").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");  
				xajax.$("eini").focus();
				return (false); 
				}
		else if (xajax.$("efin") && xajax.$("efin").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");  
				xajax.$("efin").focus();
				return (false); 
				}
		else {
			xajax_xBuscar(xajax.getFormValues('form'));
			}
		}
		
	function xExportarJS() {
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
				xajax.$("emp").focus();
				return (false); 
				}
		else if (xajax.$("alm") && xajax.$("alm").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ALMACEN");  
				xajax.$("alm").focus();
				return (false); 
				}
		else if (xajax.$("pcod") && xajax.$("pcod").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PRODUCTO");  
				xajax.$("pcod").focus();
				return (false); 
				}
		else if (xajax.$("fini") && xajax.$("fini").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");  
				xajax.$("fini").focus();
				return (false); 
				}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");  
				xajax.$("ffin").focus();
				return (false); 
				}
		else {
			xajax_xExportar(xajax.getFormValues('form'));	
			}
		}
	
	function xImprimirJS() {	
		var varEmp = xajax.$("emp").value;
		var varAlm = xajax.$("alm").value;
		var varPro = xajax.$("pcod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
				xajax.$("emp").focus();
				return (false); 
				}
		else if (xajax.$("alm") && xajax.$("alm").value=="Ninguno") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ALMACEN");  
				xajax.$("alm").focus();
				return (false); 
				}
		else if (xajax.$("pcod") && xajax.$("pcod").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PRODUCTO");  
				xajax.$("pcod").focus();
				return (false); 
				}
		else if (xajax.$("fini") && xajax.$("fini").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");  
				xajax.$("fini").focus();
				return (false); 
				}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");  
				xajax.$("ffin").focus();
				return (false); 
				}
		else {
			var Ruta = 'print/print_movimiento_producto.php?emp='+varEmp+'&alm='+varAlm+'&pro='+varPro+'&fini='+varIni+'&ffin='+varFin;
			testwindow= window.open (Ruta, "print_movimiento_producto", "location=no,status=no,toolbar=no,scrollbars=1,width=1000,height=500");
			}
		}

</script>
<?php
		
function MyTable($obj, $titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>